
#include <math.h>
#include "psgcal.h"

/* Calculates the conductivity of the soil
Cosby curves and coefficients. */
float _psgcal(float thmax, float thv, float psis, float cosbyb)
{

	float perwmax, perw2g, rlogpsig, rnpsig;

	/* Field capacity (75% of thmax) used instead of thmax.
	Lower value felt to fit local measurements better than
	the fit with tabulated values. */

	/* Convert ground water contents to percentages. */
	perwmax=thmax*100*0.75;
	perw2g=thv*100;
	rlogpsig=log10(psis)+cosbyb*log10(perwmax)-cosbyb*log10(perw2g);

	/* psig is positive in this program. */
	rnpsig=pow(10,rlogpsig);

	/* Convert cm to bars and return psig */
	return(-rnpsig/1020);
}
