
#include "transm.h"

/* Calculate solar transmissions using the look up tables produced
in gettbl. 

Originally this was a single function, now split into two (one of 
which will be called twice - with different parameters each time)
so no more duplication of functionality, and no more global variables.*/

/* This one can be used for either ftabs or ftscat, since the 
same things are done to both of them. */
float _transmft(float path, float *tbl, float psi)
{
	float f;

	if(path>=10.0)
	{
		f=tbl[46];
	}
	else
	{
		f=_transmint(tbl, path);
		f=(psi/1013.25)*(f-1)+1;
	}

	return(f);
}

float _transmfb(float path, float *tbl)
{
	float f;
	
	if(path>=10.0)
	{
		f=tbl[46];
	}
	else
	{
		f=_transmint(tbl, path);
	}
	return(f);
}

float _transmint(float *table, float path)
{
	int ipath;
	float fract;

	fract=5*(path-1)+1;
	ipath=(int)fract;
	fract=fract-ipath;
	return(_interpol(table[ipath],table[ipath+1],fract));
}

float _interpol(float a, float b, float f)
{
	return((f*b)+((1-f)*a));
}

		
