
/* Function definitions used in vel. */

#include <math.h>

#include "const.h"
#include "velfns.h"

float _you_star(float wind, float height, float roughness, float stability)
{
	return(KARMAN*wind/((log(height/roughness)+stability)));
}

float _r_ohms(float friction, float height, float roughness, float stability)
{
	return(0.74*(log(height/roughness)+stability)/(KARMAN*friction));
}

float _wind(float star, float height, float roughness, float stability)
{
	return((star/KARMAN)*(log(height/roughness)+stability));
}

float _stab(float height, float mol)
{
	return(pow((1-15*height/mol),0.25));
}

float _stabh(float height, float mol)
{
	return(pow((1-9*height/mol),0.5));
}

float _fstabh(float par1, float par2)
{
	return(2*log((par1+1)/(par2+1)));
}

float _fstabm(float par1, float par2)
{
	return(log(((par1*par1+1)*pow((par1+1),2))/((par2+1)*pow((par2+1),2)))+2*(atan(par2)-atan(par1)));
}

float _restrn(float star, float roughness, float par3)
{
	return((log(KARMAN*star*roughness+par3)-log(par3))/(KARMAN*star));
}
